• January 16, 2018, 08:47:17 am
• Welcome, Guest. Please login or register.
 
News: It's been a while since we started working on eFiction 5, there's been a lot of starting from scratch and half-scratch, but things are moving on.
Now we need you: please visit the eFicition 5 section of the forum and raise your voice, shape the new face of your favourite fanfiction management software.

Author Topic: Can't Install EFiction 5  (Read 3989 times)

lucy

  • Member
  • **
  • Posts: 21
  • Country: au
  • Thanked: 1 times
Re: Can't Install EFiction 5
« Reply #20 on: November 06, 2016, 10:43:47 am »
The errors are gone, but the EFiction 3 database won't open.

Sheepcontrol

  • Administrator
  • Veteran
  • *****
  • Posts: 288
  • Country: de
  • Thanked: 50 times
Re: Can't Install EFiction 5
« Reply #21 on: November 06, 2016, 01:19:44 pm »
Can you post the debug again?

Not entirely sure what you mean with "won't open", this page will not do anything but check the settings.
Below the first form, what's the message(s) ?
Maybe double-check if the settings prefix matches what is written in the config.php file

Edit: According to a message of yours, your settings_prefix in the config.php is "fanfiction_settings", this would mean your settings table is actually called "fanfiction_settingsfanfiction_settings". If that is true, then under "Settings prefix:", you need to enter "fanfiction_settings" also, just like in the config.php file.
« Last Edit: November 06, 2016, 01:22:19 pm by Sheepcontrol »
I speak the worlds most widely used language: bad english

lucy

  • Member
  • **
  • Posts: 21
  • Country: au
  • Thanked: 1 times
Re: Can't Install EFiction 5
« Reply #22 on: November 07, 2016, 02:29:23 am »
So putting fan fiction_settings worked and I started the install, however I get this error when creating tables;

Quote
ERROR (Array (
  • => 00000 [1] => [2] => ) )DROP TABLE IF EXISTS `cl60-rileslu-z04`.`fanfictioncategories`; CREATE TABLE `cl60-rileslu-z04`.`fanfictioncategories` ( `cid` int(11) NOT NULL AUTO_INCREMENT, `parent_cid` int(11) NOT NULL DEFAULT '0', `category` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '', `description` text NOT NULL, `image` varchar(100) NOT NULL DEFAULT '', `locked` tinyint(1) NOT NULL DEFAULT '0', `leveldown` tinyint(2) unsigned NOT NULL DEFAULT '0', `inorder` int(11) NOT NULL DEFAULT '0', `counter` int(11) NOT NULL DEFAULT '0', -- can drop this ? `stats` text NOT NULL, PRIMARY KEY (`cid`), KEY `byparent` (`parent_cid`,`inorder`) ) ENGINE=MyISAM DEFAULT CHARSET=UTF8MB4 COMMENT='(eFI5): derived from _categories';
Everything else is fine.

dsecrets

  • Member
  • **
  • Posts: 31
Re: Can't Install EFiction 5
« Reply #23 on: November 17, 2016, 12:25:15 pm »
I'm trying to do the upgrade and get this error:
Quote
Internal Server Error

Undefined variable: chaptertext

[restricted/lib/base.php:2015] Base->error()
[restricted/inc/sql/upgrade_3_5_x/job_chapters.php:94] Base->{closure}()
[restricted/inc/upgradetools.php:530] chapters_copy()
[restricted/inc/upgradetools.php:279] jobStart()
[restricted/inc/upgrade.php:124] upgradetools::processJobs()
[restricted/lib/base.php:1486] Base->call()
[restricted/index.php:43] Base->run()

Sheepcontrol

  • Administrator
  • Veteran
  • *****
  • Posts: 288
  • Country: de
  • Thanked: 50 times
Re: Can't Install EFiction 5
« Reply #24 on: November 17, 2016, 07:40:27 pm »
I'm trying to do the upgrade and get this error:
Quote
Internal Server Error

Undefined variable: chaptertext

[restricted/lib/base.php:2015] Base->error()
[restricted/inc/sql/upgrade_3_5_x/job_chapters.php:94] Base->{closure}()
[restricted/inc/upgradetools.php:530] chapters_copy()
[restricted/inc/upgradetools.php:279] jobStart()
[restricted/inc/upgrade.php:124] upgradetools::processJobs()
[restricted/lib/base.php:1486] Base->call()
[restricted/index.php:43] Base->run()

Interesting, this either means that the data source in the settings table isn't properly set to either "files" or "mysql" (can hardly imagine that, I think this would irritate eFiction 3) or a chapter file is missing.
It could also mean, you are using chapter files, but the installer is not located in a subdirectory of the eFiction 3 it is supposed to get chapter files from.

Last one means you either have to "move it, move it", King Julian, or I'll have to somehow implement a way of letting the user tell the installer where to look for the files.
I speak the worlds most widely used language: bad english

dsecrets

  • Member
  • **
  • Posts: 31
Re: Can't Install EFiction 5
« Reply #25 on: November 17, 2016, 10:31:00 pm »
I'll look into it tonight when Im home from work. The archive only has one story and chapter in it so I can also try a clean install.

Sheepcontrol

  • Administrator
  • Veteran
  • *****
  • Posts: 288
  • Country: de
  • Thanked: 50 times
Re: Can't Install EFiction 5
« Reply #26 on: November 18, 2016, 12:09:02 am »
I'll look into it tonight when Im home from work. The archive only has one story and chapter in it so I can also try a clean install.

No, I am actually happy about every error, it's often situations I couldn't think of.
I speak the worlds most widely used language: bad english

Sheepcontrol

  • Administrator
  • Veteran
  • *****
  • Posts: 288
  • Country: de
  • Thanked: 50 times
Re: Can't Install EFiction 5
« Reply #27 on: November 18, 2016, 04:33:54 pm »
Ok, chapter file missing or bad location info in config should no longer kill any kittens.
« Last Edit: January 03, 2018, 09:55:56 am by Sheepcontrol »
I speak the worlds most widely used language: bad english
The following users thanked this post: dsecrets

dsecrets

  • Member
  • **
  • Posts: 31
Re: Can't Install EFiction 5
« Reply #28 on: November 20, 2016, 10:54:00 am »
The installer works fine now, no errors :)

lucy

  • Member
  • **
  • Posts: 21
  • Country: au
  • Thanked: 1 times
Re: Can't Install EFiction 5
« Reply #29 on: October 22, 2017, 07:20:45 am »
Ok thanks for the update guys. I'm going to see if the upgrade works, as I'm about to create a new fanfiction site. (deleted the other one.)

lucy

  • Member
  • **
  • Posts: 21
  • Country: au
  • Thanked: 1 times
Re: Can't Install EFiction 5
« Reply #30 on: January 01, 2018, 04:37:23 am »
Ok, so I've done a clean install of Version Five and I get this error:

Code: [Select]
Internal Server Error
include(data/config.php): failed to open stream: No such file or directory

[app/inc/config.php:10] Base->{closure}()
[app/inc/config.php:10] Config::__construct()
[index.php:91] Config->__construct()

What can I do to fix this error?

Sheepcontrol

  • Administrator
  • Veteran
  • *****
  • Posts: 288
  • Country: de
  • Thanked: 50 times
Re: Can't Install EFiction 5
« Reply #31 on: January 03, 2018, 10:06:35 am »
Did you run the installer for a fresh install?
The error means that there's no config.php in the data/ directory.

Obviously, I need to provide a better way of presenting a "nicer" error.
I speak the worlds most widely used language: bad english

 

anything
anything
anything